## org.eclipse.emf.validation.ui.preferences
Class ConstraintsSelectionBlock

    java.lang.Object
      org.eclipse.emf.validation.ui.preferences.ConstraintsSelectionBlock

    public class ConstraintsSelectionBlock

extends Object

Encapsulation of the control for browsing and manipulating constraints in the constraints preference page.

Clients can use this class to implement their own filtered constraints preference page.

Since:
  1.1

Constructor Summary
`ConstraintsSelectionBlock()` Initializes me without a constraint filter.
`ConstraintsSelectionBlock(IConstraintFilter filter)` Initializes me with a constraint filter.

Method Summary
`Composite` `createComposite(Composite parent)` Creates the constraints selection composite on the given parent and filters the composite based on the provided filter.
`void` `dispose()`
`void` `performDefaults()` Restores the defaults for the constraints listed in the composite
`boolean` `performOk()` Saves the constraint enablement changes made in the composite to the validation preferences

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstraintsSelectionBlock

    public ConstraintsSelectionBlock()

  Initializes me without a constraint filter.

### ConstraintsSelectionBlock

    public ConstraintsSelectionBlock(IConstraintFilter filter)

  Initializes me with a constraint filter.

  Parameters:
    `filter` - used to filter the constraints which are presented in this composite (must not be `null`)

Method Detail

### createComposite

    public Composite createComposite(Composite parent)

  Creates the constraints selection composite on the given parent and filters the composite based on the provided filter.

  Parameters:
    `parent` - parent for the newly created composite
  Returns:
    the resulting constraint selection composite

### performOk

    public boolean performOk()

  Saves the constraint enablement changes made in the composite to the validation preferences

### performDefaults

    public void performDefaults()

  Restores the defaults for the constraints listed in the composite

### dispose

    public void dispose()

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.